%define upstream_name    HTTP-Server-Simple-PSGI
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    PSGI handler for HTTP::Server::Simple
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP::Server::Simple)
BuildArch: noarch


%description
HTTP::Server::Simple::PSGI is a HTTP::Server::Simple based HTTP server that
can run PSGI applications. This module only depends on the
HTTP::Server::Simple manpage, which itself doesn't depend on any non-core
modules so it's best to be used as an embedded web server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-2.mga4
+ Revision: 532880
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 sander85 <sander85> 0.160.0-1.mga4
+ Revision: 470237
- update to 0.16

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 368334
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 32081
- mageia rebuild
- imported package perl-HTTP-Server-Simple-PSGI


* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.140.0-1mdv2011.0
+ Revision: 586066
- import perl-HTTP-Server-Simple-PSGI

